package com.muyu.cloud.resource.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.domain
 * @Project：cloud-resource
 * @name：ResourceInfo
 * @Date：2024/8/10 10:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResourceInfo {

@Excel(name = "")
private String    id;
private String   recommendId;
private String   title;
private String   titleFormat;
private String   otherTitle;
private String   seriesNumber;
private String   seriesTitle;
private String   pissn;
private String   eissn;
private String   pisbn;
private String   eisbn;
private String   orderNumber;
private String   subject;
private String   publisher;
private String   country;
private String   pubYear;
private String   foundedYear;
private String   language;
private String   pubFeq;
private String   Intro;
private String   classiNumber;
private String   url;
private String   carrier;
private String   type;
private String   pubPattern;
private String   pubStatus;
private String   price;
private String   currency;
private String   OA;
private String   sysTime;
private String   sysUserId;
private String   organId;
private String   orderStatus;
private String   distributionStatus;
private String   reviewStatus;
private String   updReviewStatus;
private String   totalScore;
private String   factor;
private String   note;
private String   inlet;
private String   oldId;
private String   systemId;
private String   resVol;
}
